Bug 444257 - Review Request: nted - Musical score editor
Review Request: nted - Musical score editor
Status: CLOSED DUPLICATE of bug 461402
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 01:00 EDT by Michel Alexandre Salim
Modified: 2008-09-07 06:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-07 04:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhbugs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-04-26 01:00:34 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/music/nted.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/nted-0.22.3-1.fc9.src.rpm
Description:
NtEd is a GTK score editor. It intends to be really WYSIWYG: what you
see on the screen is exactly what you get on printer output. It
supports up to 4 voices per staff, drum notes, 5 lyrics lines,
N-Tuplets, context changes, repeats with alternatives, configurable
music instruments per staff, MIDI and Postscript export, MusicXML
import. Scores can be played through the ALSA sequencer.
Comment 1 Hans Ulrich Niedermann 2008-05-04 03:47:03 EDT
Review Guidelines MUST items:
OK: rpmlint produces no output
OK: naming guidelines
OK: %{name}.spec
??: Packaging Guidelines
FAIL: Licensing Guidelines
      All the source files seem to be GPLv2+.
      Help->About dialog is GPLv2+.
      But COPYING is GPLv3
OK: License field match (GPLv2+)
OK: %doc COPYING
OK: spec file in en_US
OK: legible spec file
OK: Sources match upstream
OK: Compiles and builds on i386, x86_64, ppc, ppc64:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=594520
N/A: Builds on all arches
OK: All build deps listed
OK: Uses %find_lang
N/A: no shared libs
N/A: not relocatable
OK: owns all created dirs
OK: no duplicate files in %files
OK: proper file permissions
OK: %clean with rm -rf $RPM_BUILD_ROOT
OK: consistent use of macros
OK: packagecontains code
OK: Those two HTML manuals are not necessarily "large docs" for a -doc pkg.
    Oh, and they are needed as online help at runtime.
OK: %doc files must not affect runtime...
    Ah, THAT is why the en and de HTML manuals are not %doc.
N/A: No header files
N/A: no static libs
N/A: no foo.pc file
N/A: no libfoo.so.1.1
N/A: devel package
N/A: no .la files
OK: desktop file
    OK, but German translations to go with the German manual would be nice.
OK: Does not own other apps' files or dirs
OK: %install starts with rm -rf $RPM_BUILD_ROOT
OK: All filenames are valid ASCII and thus UTF-8

Review Guidelines SHOULD items:
FAIL: No COPYING for GPLv2
??: Are Summary(de) and %description(de) available?
OK: Builds in local mock
OK: Builds in Fedora koji on i386, x86_64, ppc, ppc64
OK: Appears to function as described.
N/A: No scriptlets
N/A: no subpackages
N/A: no foo.pc
N/A: no file deps

Packaging Guidelines:
??: Is there a reason not to use the standard compiler flags?
    Maybe add CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" to the
    "make" line?
FAIL: Creates both /usr/share/doc/%{name} and /usr/share/doc/%{name}-%{version}
      Adding "--docdir=%{_docdir}" to "%configure" might help.
- Wasn't there a way to mark the language of the "de" HTML manual?
  Not that any of the policy requires that...

General remarks which do not affect the outcome of the review:
- I'd recommend to add a "-b .slur" to "%patch1 -p1"
- There are a number of compiler warnings which scream for a fix:
  voice.cpp:2071: warning: suggest parentheses around && within ||
  chordorrest.cpp:2142: warning: format '%x' expects type 'unsigned int', but
argument 2 has type 'NedChordOrRest*'
  chordorrest.cpp:2284: warning: comparisons like X<=Y<=Z do not have their
mathematical meaning

NEEDSWORK

And on we go to the next iteration.
Comment 2 Michel Alexandre Salim 2008-06-03 03:15:17 EDT
Incorporated all the changes requested:
- uses $RPM_OPT_FLAGS
- documentation now in %{_docdir}/%{name}-%{version}, de and en pages tagged
- compiler warnings fixed

Spec URL: http://salimma.fedorapeople.org/for_review/music/nted.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/nted-0.22.3-2.fc9.src.rpm
Comment 3 Hans Ulrich Niedermann 2008-06-08 10:17:46 EDT
Review Guidelines MUST items:
OK: rpmlint produces no output
OK: naming guidelines
OK: %{name}.spec
OK: Packaging Guidelines
OK: Licensing Guidelines
      All the source files seem to be GPLv2+.
      Help->About dialog is GPLv2+.
      HTML manuals are GFDLv1.2+
      COPYING is GPLv3.
    Ergo: Multiple licenses, but conforms to Fedora Licensing Guidelines.
FAIL: License field match
      Does not cover HTML manuals. Use "License: GPLv2+ and GFDL"?
FAIL: %doc COPYING
    "If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc."
    OK... as the shipped COPYING file is GPLv3+, which none of the files in
    the source package is licensed under, the source package does NOT include
    the text of the licenses in its own file. So we just can NOT %doc COPYING
    to technically satisfy the guidelines.

    Probably upstream has just shipped the default COPYING file autoreconf
    automatically adds to the source tree. We should to confirm this with
    upstream.
OK: spec file in en_US
OK: legible spec file
OK: Sources match upstream
OK: Compiles and builds on i386, x86_64, ppc, ppc64:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=594520
N/A: Builds on all arches
OK: All build deps listed
OK: Uses %find_lang
N/A: no shared libs
N/A: not relocatable
OK: owns all created dirs
OK: no duplicate files in %files
OK: proper file permissions
OK: %clean with rm -rf $RPM_BUILD_ROOT
OK: consistent use of macros
OK: packagecontains code
OK: Those two HTML manuals are not necessarily "large docs" for a -doc pkg.
    Oh, and they are needed as online help at runtime.
OK: %doc files must not affect runtime...
    The "Help->Documentation" menu item just shows an untitled dialog window
    +---------------------------------------------+
    | Excuse!  The documentation is not available |
    | due to an installation error                |
    |                                      [ OK ] |
    +---------------------------------------------+
    Apart from this, nted works like a charm with or without docs.
N/A: No header files
N/A: no static libs
N/A: no foo.pc file
N/A: no libfoo.so.1.1
N/A: devel package
N/A: no .la files
OK: desktop file
    OK, but German translations to go with the German manual would be nice.
OK: Does not own other apps' files or dirs
OK: %install starts with rm -rf $RPM_BUILD_ROOT
OK: All filenames are valid ASCII and thus UTF-8

Review Guidelines SHOULD items:
FAIL: No COPYING for GPLv2
OK: Are Summary(de) and %description(de) available? Yes, now.
OK: Builds in local mock
OK: Builds in Fedora koji on i386, x86_64, ppc, ppc64
OK: Appears to function as described.
N/A: No scriptlets
N/A: no subpackages
N/A: no foo.pc
N/A: no file deps

Packaging Guidelines:
OK: Uses standard compiler flags now.
OK: All docs in /usr/share/doc/%{name}-%{version} now.

SUMMARY:

FAIL      License: ignores HTML manual license
FAIL      We need to NOT "%doc COPYING". Just ignore the COPYING file.
SHOULDFIX Docs: Are installed to a place where nted cannot find it.
          I have a patch.
OPTIONAL  Add lang(de) versions for Summary: and Description:
OPTIONAL  Assist upstream with cleaning up nted's configure.in
OPTIONAL  The code is still full of ugly compiler warnings.
          I'd say upstream should fix that, possibly with some help.

See http://ndim.fedorapeople.org/packages/nted/0.22.3-2.4.fc9/ for
my suggested fixes for the first four three of these.

When you have a fix for the first three, I'll approve the package,
unless you want to update to the nted-0.24.1 release before review
completion.
Comment 4 Michel Alexandre Salim 2008-06-08 20:40:36 EDT
Incorporated your changes, and updated to 0.24.1 . Fixed the obvious compiler
warnings, but the warnings about uninitialized variables are probably better
left to upstream -- I've sent him the updated patches.

Updated SRPM:
http://salimma.fedorapeople.org/for_review/music/nted-0.24.1-1.fc9.src.rpm

(patches are available in the same directory)

Comment 5 Hans Ulrich Niedermann 2008-06-09 02:40:40 EDT
Watching the diffs, I find:
- Upstream COPYING is unchanged. Good.
- Upstream file licenses are unchanged. Good.
- You have made sure configure does not reset CXXFLAGS. Good catch.
- You are resetting icondir from $(datadir)/icons to $(datadir)/pixmaps for some
reason. Makes no difference to me.
- You have fixed a bunch more compiler warnings. Good. (Have you sent this
upstream?)
- More translations for nted.desktop. Good.
- po/nted.pot is now broken with CVS merge conflicts. Does not affect us.
- You have removed the "Requires: yelp". Hmm... whatever. "Help|Documentation"
will still need yelp, won't it?
- You also install the Italian manual. Good.

So there remains a single issue now that you are changing configure.in...
rebuilding the RPM from the SRPM appears to re-run aclocal, automake, autoconf,
autoheader, and we'd like to avoid this.

Looks like adding something like

sleep 1
find . -type f -name Makefile.in | xargs touch
touch aclocal.m4 config.h.in configure

at the end of %prep prevents automake&Co re-runs.

When this last one is done, I'll finally shut up and approve it.
Comment 6 Michel Alexandre Salim 2008-06-10 01:02:46 EDT
Ah. the configure.in patch is really only needed for upstream, I can just not
patch it (configure is patched by hand)

Requires: yelp was removed because there are still disagreements about whether
it should be depended on -- no core GNOME applications require it, for instance,
and the problem is that it pulls in a lot of dependency for people who don't
already run GNOME.

Compiler warnings are sent to upstream, yes.

Re-uploaded; same file names
Comment 7 Hans Ulrich Niedermann 2008-06-10 16:25:46 EDT
ACCEPT
Comment 8 Hans Ulrich Niedermann 2008-06-19 04:41:52 EDT
Ping? Michel, you can proceed now with the CVS stuff.
Comment 9 Hans Ulrich Niedermann 2008-07-03 04:46:16 EDT
Michel, are you still there?

Upstream has been mailing us with updates, and we don't even have the package in
Fedora yet.

I'd love to co-maintain this thing, but I don't want to be the maintainer for
something I have reviewed and approved myself, for obvious reasons.
Comment 10 Hans Ulrich Niedermann 2008-07-10 17:36:26 EDT
One month has passed since this package passed the review, and nothing has happened.

Michel, is there a chance that something will happen in the future, or are we
just going to close this down?
Comment 11 Hans Ulrich Niedermann 2008-09-07 04:39:07 EDT
Closing this bug due to lack of communication from prospective maintainer.

I intend to file my own review request of nted.
Comment 12 Hans Ulrich Niedermann 2008-09-07 06:23:06 EDT

*** This bug has been marked as a duplicate of bug 461402 ***

Note You need to log in before you can comment on or make changes to this bug.